//#############################################################################################################################################################################################################
#include "IdiBusInterruptsList.h"
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
struct IDIBUS_INTERRUPT_LISTENERS_STR InterruptListenersList;
//=============================================================================================================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//=============================================================================================================================================================================================================
#ifndef IDIBUS_USART0_ISR_DISABLE
ISR(USART0_RX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptRX(InterruptListenersList.USART0_CallbackInstance);   }
ISR(USART0_TX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptTX(InterruptListenersList.USART0_CallbackInstance);   }
ISR(USART0_UDRE_vect)  { IdiBusCallbackInterface::USART_Callback_InterruptUDRE(InterruptListenersList.USART0_CallbackInstance); }
#endif	
#ifndef IDIBUS_USART1_ISR_DISABLE
ISR(USART1_RX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptRX(InterruptListenersList.USART1_CallbackInstance);   }
ISR(USART1_TX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptTX(InterruptListenersList.USART1_CallbackInstance);   }
ISR(USART1_UDRE_vect)  { IdiBusCallbackInterface::USART_Callback_InterruptUDRE(InterruptListenersList.USART1_CallbackInstance); }
#endif	
#ifndef IDIBUS_USART2_ISR_DISABLE
ISR(USART2_RX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptRX(InterruptListenersList.USART2_CallbackInstance);   }
ISR(USART2_TX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptTX(InterruptListenersList.USART2_CallbackInstance);   }
ISR(USART2_UDRE_vect)  { IdiBusCallbackInterface::USART_Callback_InterruptUDRE(InterruptListenersList.USART2_CallbackInstance); }
#endif	
#ifndef IDIBUS_USART3_ISR_DISABLE
ISR(USART3_RX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptRX(InterruptListenersList.USART3_CallbackInstance);   }
ISR(USART3_TX_vect)	   { IdiBusCallbackInterface::USART_Callback_InterruptTX(InterruptListenersList.USART3_CallbackInstance);   }
ISR(USART3_UDRE_vect)  { IdiBusCallbackInterface::USART_Callback_InterruptUDRE(InterruptListenersList.USART3_CallbackInstance); }
#endif	
//=============================================================================================================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
//=============================================================================================================================================================================================================
#ifndef IDIBUS_TIM0_ISR_DISABLE
ISR(TIMER0_COMPA_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPA(InterruptListenersList.TIM0_CallbackInstance); }
ISR(TIMER0_COMPB_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPB(InterruptListenersList.TIM0_CallbackInstance); }
ISR(TIMER0_OVF_vect)   { IdiBusCallbackInterface::TIM_Callback_InterruptOVF(InterruptListenersList.TIM0_CallbackInstance);   }
#endif
#ifndef IDIBUS_TIM1_ISR_DISABLE
ISR(TIMER1_COMPA_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPA(InterruptListenersList.TIM1_CallbackInstance); }
ISR(TIMER1_COMPB_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPB(InterruptListenersList.TIM1_CallbackInstance); }
ISR(TIMER1_COMPC_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPC(InterruptListenersList.TIM1_CallbackInstance); }
ISR(TIMER1_OVF_vect)   { IdiBusCallbackInterface::TIM_Callback_InterruptOVF(InterruptListenersList.TIM1_CallbackInstance);   }
#endif
#ifndef IDIBUS_TIM2_ISR_DISABLE
ISR(TIMER2_COMPA_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPA(InterruptListenersList.TIM2_CallbackInstance); }
ISR(TIMER2_COMPB_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPB(InterruptListenersList.TIM2_CallbackInstance); }
ISR(TIMER2_OVF_vect)   { IdiBusCallbackInterface::TIM_Callback_InterruptOVF(InterruptListenersList.TIM2_CallbackInstance);   }
#endif
#ifndef IDIBUS_TIM3_ISR_DISABLE
ISR(TIMER3_COMPA_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPA(InterruptListenersList.TIM3_CallbackInstance); }
ISR(TIMER3_COMPB_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPB(InterruptListenersList.TIM3_CallbackInstance); }
ISR(TIMER3_COMPC_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPC(InterruptListenersList.TIM3_CallbackInstance); }
ISR(TIMER3_OVF_vect)   { IdiBusCallbackInterface::TIM_Callback_InterruptOVF(InterruptListenersList.TIM3_CallbackInstance);   }
#endif
#ifndef IDIBUS_TIM4_ISR_DISABLE
ISR(TIMER4_COMPA_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPA(InterruptListenersList.TIM4_CallbackInstance); }
ISR(TIMER4_COMPB_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPB(InterruptListenersList.TIM4_CallbackInstance); }
ISR(TIMER4_COMPC_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPC(InterruptListenersList.TIM4_CallbackInstance); }
ISR(TIMER4_OVF_vect)   { IdiBusCallbackInterface::TIM_Callback_InterruptOVF(InterruptListenersList.TIM4_CallbackInstance);   }
#endif
#ifndef IDIBUS_TIM5_ISR_DISABLE
ISR(TIMER5_COMPA_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPA(InterruptListenersList.TIM5_CallbackInstance); }
ISR(TIMER5_COMPB_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPB(InterruptListenersList.TIM5_CallbackInstance); }
ISR(TIMER5_COMPC_vect) { IdiBusCallbackInterface::TIM_Callback_InterruptCOMPC(InterruptListenersList.TIM5_CallbackInstance); }
ISR(TIMER5_OVF_vect)   { IdiBusCallbackInterface::TIM_Callback_InterruptOVF(InterruptListenersList.TIM5_CallbackInstance);   }
#endif
//#############################################################################################################################################################################################################
